<table cellpadding="0" border="0" cellspacing="0" width="100%">
  <tr><td>
    <table cellpadding="3" border="0" cellspacing="0" width="100%">
      <tr><td class="control">
<?php
function separator($reset = false)
{
    static $liststarted = false;
    if ($reset) {
        $liststarted = false;
    } else if (!$liststarted){
        $liststarted = true;
    } else {
        echo ' | ';
    }
}

separator(true);

if ($this->allows(WICKED_MODE_EDIT)) {
    separator();
    $url = Horde::applicationUrl('display.php');
    $url = Util::addParameter($url, array('page' => 'EditPage',
                                          'referrer' => $this->pageName()));
    echo Horde::widget($url, sprintf(_("Edit %s"), $this->pageName()),
                       'widget', '', '', _("EditPage"));
}

if ($this->allows(WICKED_MODE_LOCKING)) {
    separator();
    if ($this->isLocked()) {
        echo Horde::widget($this->pageUrl('display.php', 'unlock'),
                           sprintf(_("Unlock %s"), $this->pageName()),
                           'widget', '', '', _("Unlock"));
    } else {
        echo Horde::widget($this->pageUrl('display.php', 'lock'),
                           sprintf(_("Lock %s"), $this->pageName()),
                           'widget', '', '', _("Lock"));
    }
}

if ($this->allows(WICKED_MODE_REMOVE)) {
    separator();
    $version = Util::getFormData('version');
    if (empty($version)) {
        $msg = _("Are you sure you want to delete this page? All versions will be lost.");
    } else {
        $msg = sprintf(_("Are you sure you want to delete version %s of this page?"),
                       $this->version());
    }

    echo Horde::widget($this->pageUrl('display.php', 'remove'),
                       sprintf(_("Delete %s"), $this->pageName()),
                       'widget', '',
                       'if (!window.confirm(\'' . addslashes($msg) . '\')) return false;',
                       _("Delete"));
}

separator();
$url = Horde::applicationUrl('display.php');
$url = Util::addParameter($url, array('page' => 'MergeOrRename',
                                      'referrer' => $this->pageName()));
echo Horde::widget($url, _("MergeOrRename"), 'widget', '', '',
                   _("MergeOrRename"));

separator();
$url = Horde::applicationUrl('display.php');
$url = Util::addParameter($url, array('page' => 'BackLinks',
                                      'referrer' => $this->pageName()));
echo Horde::widget($url, _("BackLinks"), 'widget', '', '', _("BackLinks"));

separator();
$url = Horde::applicationUrl('display.php');
$url = Util::addParameter($url, array('page' => 'LikePages',
                                      'referrer' => $this->pageName()));
echo Horde::widget($url, _("LikePages"), 'widget', '', '', _("LikePages"));

separator();
$url = Horde::applicationUrl('display.php');
$url = Util::addParameter($url, array('page' => 'AttachedFiles',
                                      'referrer' => $this->pageName()));
echo Horde::widget($url, _("AttachedFiles"), 'widget', '', '',
                   _("AttachedFiles"));

if ($this->allows(WICKED_MODE_HISTORY)) {
    separator();
    echo Horde::widget($this->pageUrl('history.php'),
                       sprintf(_("History of %s"), $this->pageName()),
                       'widget', '', '', _("History"));
}

if ($this->allows(WICKED_MODE_INFO)) {
    separator();
    echo Horde::widget($this->pageUrl('info.php'),
                       sprintf(_("Info about %s"), $this->pageName()),
                       'widget', '', '', _("Info"));
}

if ($this->allows(WICKED_MODE_DEBUG)) {
    separator();
    echo Horde::widget($this->pageUrl('debug.php'),
                       sprintf(_("Debug %s"), $this->pageName()),
                       'widget', '', '', _("Debug"));
}

if (Auth::isAdmin()) {
    separator();
    $permsurl = Horde::url($GLOBALS['registry']->get('webroot', 'horde') . '/admin/perms/edit.php');
    $permsurl = Util::addParameter($permsurl, array('category' => 'wicked:pages:' . $this->pageName(),
                                                    'autocreate' => 1,
                                                    'autocreate_copy' => 'wicked',
                                                    'autocreate_guest' => PERMS_SHOW | PERMS_READ,
                                                    'autocreate_default' => PERMS_SHOW | PERMS_READ | PERMS_EDIT | PERMS_DELETE));
    echo Horde::widget($permsurl,
                       sprintf(_("Set permissions for %s"), $this->pageName()),
                       'widget', '_blank', '', _("Permissions"));
}
?>
      </td>
<?php if (empty($isBlock) && count($_SESSION['wicked']['history'])): ?>
      <td align="right" class="control">
        <form name="display">
          <?php echo Horde::widget('#', _("Back to"), 'widget', '', 'document.location=\'' . Util::addParameter(Horde::applicationUrl('display.php'), 'page=') . '\' + document.display.history[document.display.history.selectedIndex].value', _("Back to")) ?>
          <select name="history" onchange="document.location='<?php
            echo Util::addParameter(Horde::applicationUrl('display.php'), 'page=');
          ?>' + document.display.history[document.display.history.selectedIndex].value">
<?php foreach ($_SESSION['wicked']['history'] as $history): ?>
            <option value="<?php echo $history ?>"><?php echo $history ?></option>
<?php endforeach; ?>
          </select>
        </form>
      </td>
<?php endif; ?>
      </tr>
    </table>
  </td></tr>

  <tr><td>
    <table cellpadding="3" border="0" cellspacing="0" width="100%">
      <tr><td class="pagebody">
<?php echo $text ?>
      </td></tr>
    </table>
  </td></tr>
</table>
